Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Mittelpunkt fangen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Mittelpunkt fangen (1573 mal gelesen)
cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1817
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 10. Jan. 2012 08:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich möchte gern eine Routine schaffen, die es ermöglicht den Mittelpunkt zwischen zwei gedachten Punkten zu fangen.
Mein Ansatz ist dieser code, mit dem es einen point zwischen zwei pickpoints erzeugt.

Der Einsatz soll beipielsweise so stattfinden, dass ich eine Linie mittig zwischen zwei nicht parallelen Linien zeichnen kann

1) Eingabe line enter
2) Eingabe 'd2 pickpoint von 1. Linie dann pickpoint von 2. Linie
3) Automatisch soll der Mittelpunkt zw. Linie 1 und 2 gefangen werden
4) Eingabe 'd2 nächster pickpoint von 1. Linie und 2. Linie... usw

Code:
(defun c:D2 ()
  (setq obm (getvar "blipmode"))
  (initget 7)
  (setvar "blipmode" 1)
  (initget 1)
  (setq a (getpoint "\nLocate first center: "))
  (initget 1)
  (setq b (getpoint a "\nLocate second center: "))
  (setvar "blipmode" 0)
  (setq ang (angle a b)
d (/ (distance a b) 2)
m (polar a ang d)
)
  (if (/= m 0)
    (progn
;;;      (entmake
;;; (list
;;;   '(0 . "LINE")
;;;   (cons 8 (getvar"clayer"))
;;;   (cons 10 m)
;;;;;;   (cons 11 (getpoint "\nZielpunkt! "))
;;;   )
;;; )
;;;      )
;;;    )
      (entmake
(list
  '(0 . "POINT")
          (cons 8 (getvar"clayer"))
          (cons 10 m)
  )
)
      )
    )
  (setvar "cmdecho" 1)
  (setvar "blipmode" obm)
  (princ)
  )     

------------------
Gruss Dirk

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 10. Jan. 2012 08:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

wie ist es mit

Befehl: LINIE
Ersten Punkt angeben: _m2p
Erster Punkt der Mitte: Zweiter Punkt der Mitte:
Nächsten Punkt angeben oder [Zurück]: _m2p
Erster Punkt der Mitte: Zweiter Punkt der Mitte:

------------------
      - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1817
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 10. Jan. 2012 08:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ist mir gar nicht aufgefallen, dass es das schon gibt.
Mit welcher Variable spricht man eigentlich die Objektfänge an?

------------------
Gruss Dirk

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 10. Jan. 2012 08:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 10. Jan. 2012 09:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Objektfänge sind Befehlsmodifizierer und haben keine Einstellung,
der permanente Objektfang hingegen kann ja mehrere Modi umfassen
und dies wird in der SysVar OSMODE gespeichert.

EDIT ergänzend: Alle Sysvar´s mit "OSNAP" im Namen haben etwas mit Obejktfang zutun.
------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

[Diese Nachricht wurde von cadffm am 10. Jan. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1817
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 10. Jan. 2012 09:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja hab osmode gleich korrekt in meiner acad.lsp abgelegt

------------------
Gruss Dirk

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz